Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteLargeReportManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteLargeReportManager

extends java.rmi.Remote

Interface `RemoteLargeReportManager` It supplies a remote manager for a large report.

Since:
  5.2

Method Summary
`java.lang.String` | `getErrorMessage(java.lang.String resultName)` Return Error Message if the large Report which name is resultname Running wrongly.
`LargeReportRecord` | `getLargeReportRecord(java.lang.String tempResultName)` Gets the large report record of the temporary result.
`java.util.Vector` | `getLargeReports(java.lang.String userID)` Gets large report records registered by the user.
`LargeReportRecord` | `notifyCompleted(java.lang.String tempResultName)` Notify the large report runs over.
`void` | `removeLargeReport(java.lang.String tempResultName, boolean isStop)` Remove the large report record of the temporary result.

Method Detail

### getLargeReports

    java.util.Vector getLargeReports(java.lang.String userID)
                                     throws java.rmi.RemoteException

  Gets large report records registered by the user.

  Parameters:
    `userID` - the userID.
  Returns:
    the vector contains LargeReportRecord objects.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getLargeReportRecord

    LargeReportRecord getLargeReportRecord(java.lang.String tempResultName)
                                           throws java.rmi.RemoteException

  Gets the large report record of the temporary result.

  Parameters:
    `tempResultName` - the temporary result name.
  Returns:
    the large report record of the temporary result.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### notifyCompleted

    LargeReportRecord notifyCompleted(java.lang.String tempResultName)
                                      throws java.rmi.RemoteException

  Notify the large report runs over.

  Parameters:
    `tempResultName` - the temporary result name.
  Returns:
    the large report record of the temporary result, return null if the temporary result was not regitered.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### removeLargeReport

    void removeLargeReport(java.lang.String tempResultName,
                           boolean isStop)
                           throws java.rmi.RemoteException

  Remove the large report record of the temporary result.

  Parameters:
    `tempResultName` - the temporary result name.
    `isStop` - if stop the running large reports.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getErrorMessage

    java.lang.String getErrorMessage(java.lang.String resultName)
                                     throws java.rmi.RemoteException

  Return Error Message if the large Report which name is resultname Running wrongly.

  Parameters:
    `resultName` - the large Report's result name
  Returns:
    Error Message if the large Report Which name is resultname Running wrongly
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD